import { ElMessage } from 'element-plus';
import request from '/@/utils/request';

/**
 * @summary 获取设备报告
 */
export const GetRunReportRelatedUrl = async (params, req: any = request) => {
	return req({
		url: '/Assets/Equipment/Logic/GetRunReportRelatedUrl@V1.0',
		method: 'GET',
		params,
	});
};

/**
 * 获取设备报告
 * 报错时返回 undefined
 * @returns
 */
export const getRunReportRelatedUrl = async (params, req: any = request) => {
	const res = await GetRunReportRelatedUrl(params, req);

	if (res?.Code === 0) {
		const resData = res.Data as any;
		return resData;
	} else {
		ElMessage.error('获取设备报告失败' + (res?.Message ? `，${JSON.stringify(res.Message)}` : ''));
		return null;
	}
};
